import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconCupHot as IconCupHotClass } from "../../../../components/icon/icons/cup-hot.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconCupHot = (props) => {
  IconCupHotClass.define();
  const JSXElement = getReactComponent("gds-icon-cup-hot");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconCupHot.displayName = "IconCupHot";
export {
  IconCupHot
};
